<?php

namespace Slovocast\Infrastructure\Database;

class ConnectionPoolConfig
{
    public function __construct(
        public readonly string $username,
        public readonly string $password,
        public readonly string $database,
        protected int $port = 3306,
        protected int $poolWaitTimeout = ConnectionPool::DEFAULT_WAIT_TIMEOUT,
    ) { }

    public function getPort(): int
    {
        return $this->port;
    }

    public function getPoolWaitTimeout(): int
    {
        return $this->poolWaitTimeout;
    }
}
